#pragma once
#include <map>
struct Odds2_VIPData
{
	//VIP等级
	int mVIPlvl;
	//期望盈利上限
	int mExpectedProfit;
	//VIP加成BUFF
	int mBuffID;
	//VIP对应龙珠的换算值(其实就是累计充值多少
	int mDragonValue;
};

class Odds2_VIP
{
public:
private:
	static std::auto_ptr<Odds2_VIP> msSingleton;
public:
	int GetCount();
	const Odds2_VIPData* GetData(int VIPlvl);
	const std::map<int, Odds2_VIPData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Odds2_VIP* GetSingleton();
	static void Release();
private:
	std::map<int, Odds2_VIPData> mMapData;
};
